Categories:
  - Reading
License: GPL-3.0-or-later
AuthorName: And Bible Open Source Project
AuthorEmail: help.andbible@gmail.com
WebSite: https://andbible.github.io/
SourceCode: https://github.com/AndBible/and-bible
IssueTracker: https://github.com/AndBible/and-bible/issues
Translation: https://www.transifex.com/mjdenham/andbible/

AutoName: Bible Study

RepoType: git
Repo: https://github.com/AndBible/and-bible.git

Builds:
  - versionName: 1.5.5
    versionCode: 79
    commit: 7d7e23e88da2ea9ce598fc6c454e52b508d70c48
    subdir: AndBible
    target: android-8

  - versionName: 1.6.0
    versionCode: 83
    commit: 5aad7e0ec7793a23296a8c7257687550ff6bca81
    subdir: AndBible
    target: android-8

  - versionName: 1.7.3
    versionCode: 93
    commit: build-01.07.03
    subdir: AndBible
    init: rm -f build.xml

  - versionName: 1.8.1
    versionCode: 100
    commit: build-01.08.01
    subdir: AndBible
    target: android-10

  - versionName: 1.9.0
    versionCode: 107
    commit: 74c888f4ce77ee6dd00612fe7b9df46899bda990
    subdir: AndBible
    target: android-10

  - versionName: 2.1.1
    versionCode: 138
    commit: d5f6a1534cae65ff6d7eaf1d89f
    subdir: AndBible
    srclibs:
      - 1:Support/v7/appcompat@android-4.4.3_r1
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - mv libs/android-support-v4.jar $$Support$$/libs
      - rm build.xml

  - versionName: 2.2.2
    versionCode: 166
    commit: build-02.02.02
    subdir: AndBible
    init: sed -i "/android {/a compileOptions {\nsourceCompatibility JavaVersion.VERSION_1_7\ntargetCompatibility
        JavaVersion.VERSION_1_7\n}" build.gradle
    gradle:
      - yes
    srclibs:
      - JSword@d7ad5ef
    rm:
      - Andbible/libs/*
      - AndBible/libs
      - AndBible/libs-src
    prebuild:
      - cp -r ../jsword-tweaks/src/main/. $$JSword$$/src/main
      - sed -i "/<repositories>/,/<\/repositories>/d" $$JSword$$/pom.xml
      - sed -i "/<dependencies>/a <dependency><groupId>com.chenlb.mmseg4j</groupId><artifactId>mmseg4j-all</artifactId><version>1.8.6</version></dependency>"
        $$JSword$$/pom.xml
    build:
      - pushd $$JSword$$
      - $$MVN3$$ package -Dmaven.test.skip=true
      - popd
      - cp $$JSword$$/target/jsword-*.jar libs/jsword.jar

  - versionName: 2.2.3
    versionCode: 168
    commit: build-02.02.03
    subdir: AndBible
    init: sed -i "/android {/a compileOptions {\nsourceCompatibility JavaVersion.VERSION_1_7\ntargetCompatibility
        JavaVersion.VERSION_1_7\n}" build.gradle
    gradle:
      - yes
    srclibs:
      - JSword@d7ad5ef
    rm:
      - Andbible/libs/*
      - AndBible/libs
      - AndBible/libs-src
    prebuild:
      - cp -r ../jsword-tweaks/src/main/. $$JSword$$/src/main
      - sed -i "/<repositories>/,/<\/repositories>/d" $$JSword$$/pom.xml
      - sed -i "/<dependencies>/a <dependency><groupId>com.chenlb.mmseg4j</groupId><artifactId>mmseg4j-all</artifactId><version>1.8.6</version></dependency>"
        $$JSword$$/pom.xml
    build:
      - pushd $$JSword$$
      - $$MVN3$$ package -Dmaven.test.skip=true
      - popd
      - cp $$JSword$$/target/jsword-*.jar libs/jsword.jar

  - versionName: 2.3.0
    versionCode: 180
    disable: gradle requires android sdk maven repo to be set manually
    commit: build-02.03.00
    subdir: AndBible
    init: sed -i "/android {/a compileOptions {\nsourceCompatibility JavaVersion.VERSION_1_7\ntargetCompatibility
        JavaVersion.VERSION_1_7\n}" build.gradle
    gradle:
      - yes
    srclibs:
      - JSword@d7ad5ef
    rm:
      - IgnoreAndBibleExperiments
      - AndBible/libs/*
      - AndBible/libs
      - AndBible/libs-src
    prebuild:
      - cp -r ../jsword-tweaks/src/main/. $$JSword$$/src/main
      - sed -i "/<repositories>/,/<\/repositories>/d" $$JSword$$/pom.xml
      - sed -i "/<dependencies>/a <dependency><groupId>com.chenlb.mmseg4j</groupId><artifactId>mmseg4j-all</artifactId><version>1.8.6</version></dependency>"
        $$JSword$$/pom.xml
      - sed -i -e '/ANDROID_HOME/d' build.gradle
    build:
      - pushd $$JSword$$
      - $$MVN3$$ package -Dmaven.test.skip=true
      - popd
      - cp $$JSword$$/target/jsword-*.jar libs/jsword.jar

  - versionName: 2.3.2
    versionCode: 186
    disable: gradle issue
    commit: build-02.03.02
    subdir: AndBible
    gradle:
      - yes
    srclibs:
      - JSword@d7ad5ef
    rm:
      - IgnoreAndBibleExperiments
      - AndBible/libs/*
      - AndBible/libs
      - AndBible/libs-src
    prebuild:
      - cp -r ../jsword-tweaks/src/main/. $$JSword$$/src/main
      - sed -i "/<repositories>/,/<\/repositories>/d" $$JSword$$/pom.xml
      - sed -i "/<dependencies>/a <dependency><groupId>com.chenlb.mmseg4j</groupId><artifactId>mmseg4j-all</artifactId><version>1.8.6</version></dependency>"
        $$JSword$$/pom.xml
      - sed -i -e '/ANDROID_HOME/d' -e '/repositories {/ajcenter()' -e 's/com.android.tools.build:gradle:0.11+/com.android.tools.build:gradle:1.2.2/g'
        -e '/apply plugin/s/android/com.android.application/g' build.gradle
    build:
      - pushd $$JSword$$
      - $$MVN3$$ package -Dmaven.test.skip=true
      - popd
      - cp $$JSword$$/target/jsword-*.jar libs/jsword.jar

  - versionName: 2.4.1
    versionCode: 189
    disable: try to fix gradle
    commit: build-02.04.01
    subdir: AndBible
    gradle:
      - yes
    prebuild:
      - sed -i -e '/ANDROID_HOME/d' -e '/repositories {/ajcenter()' -e 's/com.android.tools.build:gradle:0.11+/com.android.tools.build:gradle:1.5.0/g'
        -e '/apply plugin/s/android/com.android.application/g' -e '/appcompat-v7/s/19.+/23.0.1/g'
        -e '/instrumentTest/,+1d' -e '/packagingOptions/i}\n' build.gradle
      - sed -i -e '/\/\*\*/,$d' build.gradle

  - versionName: 2.5.0
    versionCode: 192
    commit: build-02.05.00
    subdir: and-bible/app
    gradle:
      - yes
    srclibs:
      - JSword@8fe1d0a
    rm:
      - IgnoreAndBibleExperiments
      - and-bible/app/libs/*
      - and-bible/libs-src
      - ReadingPlanCreator/libs
      - jsword-tweaks/libs
      - AndBibleTest/libs
      - tests/TableKeyboard/libs
      - AndBackendTest/libs
    prebuild:
      - cp -r ../../jsword-tweaks/src/main/. $$JSword$$/src/main
      - sed -i "/<repositories>/,/<\/repositories>/d" $$JSword$$/pom.xml
      - rm -rf $$JSword$$/src/main/java/org/crosswire/jsword/examples
      - sed -i "/<dependencies>/a <dependency><groupId>com.chenlb.mmseg4j</groupId><artifactId>mmseg4j-all</artifactId><version>1.8.6</version></dependency>"
        $$JSword$$/pom.xml
    build:
      - pushd $$JSword$$
      - $$MVN3$$ package -Dmaven.test.skip=true
      - popd
      - cp $$JSword$$/target/jsword-*.jar libs/jsword.jar

  - versionName: 2.5.1
    versionCode: 194
    commit: build-02.05.01
    subdir: and-bible/app
    gradle:
      - yes
    srclibs:
      - JSword@8fe1d0a
    rm:
      - IgnoreAndBibleExperiments
      - and-bible/app/libs/*
      - and-bible/libs-src
      - ReadingPlanCreator/libs
      - jsword-tweaks/libs
      - AndBibleTest/libs
      - tests/TableKeyboard/libs
      - AndBackendTest/libs
    prebuild:
      - cp -r ../../jsword-tweaks/src/main/. $$JSword$$/src/main
      - sed -i "/<repositories>/,/<\/repositories>/d" $$JSword$$/pom.xml
      - rm -rf $$JSword$$/src/main/java/org/crosswire/jsword/examples
      - sed -i "/<dependencies>/a <dependency><groupId>com.chenlb.mmseg4j</groupId><artifactId>mmseg4j-all</artifactId><version>1.8.6</version></dependency>"
        $$JSword$$/pom.xml
    build:
      - pushd $$JSword$$
      - $$MVN3$$ package -Dmaven.test.skip=true
      - popd
      - cp $$JSword$$/target/jsword-*.jar libs/jsword.jar

  - versionName: 2.7.0
    versionCode: 209
    commit: build-02.07.00
    subdir: and-bible/app
    gradle:
      - yes
    srclibs:
      - JSword@8fe1d0a
    rm:
      - and-bible/app/libs/*
      - and-bible/libs-src
      - ReadingPlanCreator/libs
      - jsword-tweaks/libs
    prebuild:
      - sed -i "/mmseg4j/d" build.gradle
      - cp -r ../../jsword-tweaks/src/main/. $$JSword$$/src/main
      - sed -i "/<repositories>/,/<\/repositories>/d" $$JSword$$/pom.xml
      - rm -rf $$JSword$$/src/main/java/org/crosswire/jsword/examples
      - sed -i "/<dependencies>/a <dependency><groupId>com.chenlb.mmseg4j</groupId><artifactId>mmseg4j-all</artifactId><version>1.8.6</version></dependency>"
        $$JSword$$/pom.xml
    build:
      - pushd $$JSword$$
      - $$MVN3$$ package -Dmaven.test.skip=true
      - popd
      - cp $$JSword$$/target/jsword-*.jar libs/jsword.jar

  - versionName: 2.7.1
    versionCode: 211
    commit: build-02.07.01
    subdir: and-bible/app
    gradle:
      - yes
    srclibs:
      - JSword@8fe1d0a
    rm:
      - and-bible/app/libs/*
      - and-bible/libs-src
      - ReadingPlanCreator/libs
      - jsword-tweaks/libs
    prebuild:
      - sed -i "/mmseg4j/d" build.gradle
      - cp -r ../../jsword-tweaks/src/main/. $$JSword$$/src/main
      - sed -i "/<repositories>/,/<\/repositories>/d" $$JSword$$/pom.xml
      - rm -rf $$JSword$$/src/main/java/org/crosswire/jsword/examples
      - sed -i "/<dependencies>/a <dependency><groupId>com.chenlb.mmseg4j</groupId><artifactId>mmseg4j-all</artifactId><version>1.8.6</version></dependency>"
        $$JSword$$/pom.xml
    build:
      - pushd $$JSword$$
      - $$MVN3$$ package -Dmaven.test.skip=true
      - popd
      - cp $$JSword$$/target/jsword-*.jar libs/jsword.jar

  - versionName: 2.8.0
    versionCode: 214
    commit: build-02.08.00
    subdir: and-bible/app
    gradle:
      - yes
    srclibs:
      - JSword@8fe1d0a
    rm:
      - and-bible/app/libs/*
      - and-bible/libs-src
      - ReadingPlanCreator/libs
      - jsword-tweaks/libs
    prebuild:
      - sed -i "/mmseg4j/d" build.gradle
      - cp -r ../../jsword-tweaks/src/main/. $$JSword$$/src/main
      - sed -i "/<repositories>/,/<\/repositories>/d" $$JSword$$/pom.xml
      - rm -rf $$JSword$$/src/main/java/org/crosswire/jsword/examples
      - sed -i "/<dependencies>/a <dependency><groupId>com.chenlb.mmseg4j</groupId><artifactId>mmseg4j-all</artifactId><version>1.8.6</version></dependency>"
        $$JSword$$/pom.xml
    build:
      - pushd $$JSword$$
      - $$MVN3$$ package -Dmaven.test.skip=true
      - popd
      - cp $$JSword$$/target/jsword-*.jar libs/jsword.jar

  - versionName: 2.8.1
    versionCode: 216
    commit: build-02.08.01
    subdir: and-bible/app
    gradle:
      - yes
    srclibs:
      - JSword@8fe1d0a
    rm:
      - and-bible/app/libs/*
      - and-bible/libs-src
      - ReadingPlanCreator/libs
      - jsword-tweaks/libs
    prebuild:
      - sed -i "/mmseg4j/d" build.gradle
      - cp -r ../../jsword-tweaks/src/main/. $$JSword$$/src/main
      - sed -i "/<repositories>/,/<\/repositories>/d" $$JSword$$/pom.xml
      - rm -rf $$JSword$$/src/main/java/org/crosswire/jsword/examples
      - sed -i "/<dependencies>/a <dependency><groupId>com.chenlb.mmseg4j</groupId><artifactId>mmseg4j-all</artifactId><version>1.8.6</version></dependency>"
        $$JSword$$/pom.xml
    build:
      - pushd $$JSword$$
      - $$MVN3$$ package -Dmaven.test.skip=true
      - popd
      - cp $$JSword$$/target/jsword-*.jar libs/jsword.jar

  - versionName: 2.8.2
    versionCode: 219
    commit: build-02.08.02
    subdir: and-bible/app
    gradle:
      - yes
    srclibs:
      - JSword@fa6a44d05982a67f0122ffdd7b522d8ebcf43824
    rm:
      - and-bible/app/libs/*
      - and-bible/libs-src
      - ReadingPlanCreator/libs
      - jsword-tweaks/libs
    prebuild:
      - sed -i "/mmseg4j/d" build.gradle
      - cp -r ../../jsword-tweaks/src/main/. $$JSword$$/src/main
      - sed -i "/<repositories>/,/<\/repositories>/d" $$JSword$$/pom.xml
      - rm -rf $$JSword$$/src/main/java/org/crosswire/jsword/examples
      - sed -i "/<dependencies>/a <dependency><groupId>com.chenlb.mmseg4j</groupId><artifactId>mmseg4j-all</artifactId><version>1.8.6</version></dependency>"
        $$JSword$$/pom.xml
    build:
      - pushd $$JSword$$
      - $$MVN3$$ package -Dmaven.test.skip=true
      - popd
      - cp $$JSword$$/target/jsword-*.jar libs/jsword.jar

  - versionName: 2.8.3
    versionCode: 221
    commit: build-02.08.03
    subdir: and-bible/app
    gradle:
      - yes
    srclibs:
      - JSword@fa6a44d05982a67f0122ffdd7b522d8ebcf43824
    rm:
      - and-bible/app/libs/*
      - and-bible/libs-src
      - ReadingPlanCreator/libs
      - jsword-tweaks/libs
    prebuild:
      - sed -i "/mmseg4j/d" build.gradle
      - cp -r ../../jsword-tweaks/src/main/. $$JSword$$/src/main
      - sed -i "/<repositories>/,/<\/repositories>/d" $$JSword$$/pom.xml
      - rm -rf $$JSword$$/src/main/java/org/crosswire/jsword/examples
      - sed -i "/<dependencies>/a <dependency><groupId>com.chenlb.mmseg4j</groupId><artifactId>mmseg4j-all</artifactId><version>1.8.6</version></dependency>"
        $$JSword$$/pom.xml
    build:
      - pushd $$JSword$$
      - $$MVN3$$ package -Dmaven.test.skip=true
      - popd
      - cp $$JSword$$/target/jsword-*.jar libs/jsword.jar

  - versionName: 2.8.4
    versionCode: 224
    commit: build-02.08.04
    subdir: and-bible/app
    gradle:
      - yes
    srclibs:
      - JSword@fa6a44d05982a67f0122ffdd7b522d8ebcf43824
    rm:
      - and-bible/app/libs/*
      - and-bible/libs-src
      - ReadingPlanCreator/libs
      - jsword-tweaks/libs
    prebuild:
      - sed -i "/mmseg4j/d" build.gradle
      - cp -r ../../jsword-tweaks/src/main/. $$JSword$$/src/main
      - sed -i "/<repositories>/,/<\/repositories>/d" $$JSword$$/pom.xml
      - rm -rf $$JSword$$/src/main/java/org/crosswire/jsword/examples
      - sed -i "/<dependencies>/a <dependency><groupId>com.chenlb.mmseg4j</groupId><artifactId>mmseg4j-all</artifactId><version>1.8.6</version></dependency>"
        $$JSword$$/pom.xml
    build:
      - pushd $$JSword$$
      - $$MVN3$$ package -Dmaven.test.skip=true
      - popd
      - cp $$JSword$$/target/jsword-*.jar libs/jsword.jar

  - versionName: 2.9.1
    versionCode: 230
    disable: proguard issues
    commit: build-02.09.01
    subdir: and-bible/app
    gradle:
      - yes
    srclibs:
      - JSword@fa6a44d05982a67f0122ffdd7b522d8ebcf43824
    rm:
      - and-bible/app/libs/*
      - and-bible/libs-src
      - ReadingPlanCreator/libs
      - jsword-tweaks/libs
    prebuild:
      - sed -i "/mmseg4j/d" build.gradle
      - cp -r ../../jsword-tweaks/src/main/. $$JSword$$/src/main
      - sed -i "/<repositories>/,/<\/repositories>/d" $$JSword$$/pom.xml
      - rm -rf $$JSword$$/src/main/java/org/crosswire/jsword/examples
      - sed -i "/<dependencies>/a <dependency><groupId>com.chenlb.mmseg4j</groupId><artifactId>mmseg4j-all</artifactId><version>1.8.6</version></dependency>"
        $$JSword$$/pom.xml
    build:
      - pushd $$JSword$$
      - $$MVN3$$ package -Dmaven.test.skip=true
      - popd
      - cp $$JSword$$/target/jsword-*.jar libs/jsword.jar

  - versionName: 2.11.1.246
    versionCode: 246
    commit: build-02.11.01
    subdir: and-bible/app
    gradle:
      - yes
    srclibs:
      - JSword@fa6a44d05982a67f0122ffdd7b522d8ebcf43824
    rm:
      - and-bible/app/libs/*
      - and-bible/libs-src
      - ReadingPlanCreator/libs
      - jsword-tweaks/libs
    prebuild:
      - sed -i "/mmseg4j/d" build.gradle
      - cp -r ../../jsword-tweaks/src/main/. $$JSword$$/src/main
      - sed -i "/<repositories>/,/<\/repositories>/d" $$JSword$$/pom.xml
      - rm -rf $$JSword$$/src/main/java/org/crosswire/jsword/examples
      - rm $$JSword$$/src/main/java/org/crosswire/jsword/book/install/sword/FTPExample.java
      - sed -i "/<dependencies>/a <dependency><groupId>com.chenlb.mmseg4j</groupId><artifactId>mmseg4j-all</artifactId><version>1.8.6</version></dependency>"
        $$JSword$$/pom.xml
    build:
      - pushd $$JSword$$
      - $$MVN3$$ package -Dmaven.test.skip=true
      - popd
      - cp $$JSword$$/target/jsword-*.jar libs/jsword.jar
      - echo "-dontwarn com.chenlb.mmseg4j.**" >> proguard-rules.pro

  - versionName: 3.1.319.4-beta
    versionCode: 319
    commit: build-319.4
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes
    srclibs:
      - AndBibleJSword@build-2
      - AndBibleJSwordTweaks@v0.1.3
    rm:
      - app/libs/*
    build:
      - cd $$AndBibleJSwordTweaks$$
      - TARGET_DIR="." JSWORD_PATH=$$AndBibleJSword$$ gradle install
      - cd -
      - cp $$AndBibleJSwordTweaks$$/jsword.jar libs/jsword.jar

  - versionName: 3.2.340
    versionCode: 340
    commit: v3.2.340-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes
    srclibs:
      - AndBibleJSword@build-2
      - AndBibleJSwordTweaks@v0.1.3
    rm:
      - app/libs/*
    build:
      - cd $$AndBibleJSwordTweaks$$
      - TARGET_DIR="." JSWORD_PATH=$$AndBibleJSword$$ gradle install
      - cd -
      - cp $$AndBibleJSwordTweaks$$/jsword.jar libs/jsword.jar

  - versionName: 3.2.343
    versionCode: 343
    commit: v3.2.343
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes
    srclibs:
      - AndBibleJSword@andbible-fdroid
      - AndBibleJSwordTweaks@andbible-fdroid
    rm:
      - app/libs/*
    build:
      - cd $$AndBibleJSwordTweaks$$
      - TARGET_DIR="." JSWORD_PATH=$$AndBibleJSword$$ gradle install
      - cd -
      - cp $$AndBibleJSwordTweaks$$/jsword.jar libs/jsword.jar

  - versionName: 3.3.379
    versionCode: 379
    commit: v3.3.379-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes
    srclibs:
      - AndBibleJSword@andbible-fdroid
      - AndBibleJSwordTweaks@andbible-fdroid
    rm:
      - app/libs/*
    build:
      - cd $$AndBibleJSwordTweaks$$
      - TARGET_DIR="." JSWORD_PATH=$$AndBibleJSword$$ gradle install
      - cd -
      - cp $$AndBibleJSwordTweaks$$/jsword.jar libs/jsword.jar

  - versionName: 3.3.380
    versionCode: 380
    commit: v3.3.380-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes
    srclibs:
      - AndBibleJSword@andbible-fdroid
      - AndBibleJSwordTweaks@andbible-fdroid
    rm:
      - app/libs/*
    build:
      - cd $$AndBibleJSwordTweaks$$
      - TARGET_DIR="." JSWORD_PATH=$$AndBibleJSword$$ gradle install
      - cd -
      - cp $$AndBibleJSwordTweaks$$/jsword.jar libs/jsword.jar

  - versionName: 3.3.381
    versionCode: 381
    commit: v3.3.381-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes
    srclibs:
      - AndBibleJSword@andbible-fdroid
      - AndBibleJSwordTweaks@andbible-fdroid
    rm:
      - app/libs/*
    build:
      - cd $$AndBibleJSwordTweaks$$
      - TARGET_DIR="." JSWORD_PATH=$$AndBibleJSword$$ gradle install
      - cd -
      - cp $$AndBibleJSwordTweaks$$/jsword.jar libs/jsword.jar

  - versionName: 3.3.382
    versionCode: 382
    commit: v3.3.382-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes
    srclibs:
      - AndBibleJSword@andbible-fdroid
      - AndBibleJSwordTweaks@andbible-fdroid
    rm:
      - app/libs/*
    build:
      - cd $$AndBibleJSwordTweaks$$
      - TARGET_DIR="." JSWORD_PATH=$$AndBibleJSword$$ gradle install
      - cd -
      - cp $$AndBibleJSwordTweaks$$/jsword.jar libs/jsword.jar

  - versionName: 3.3.385
    versionCode: 385
    commit: v3.3.385-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes
    srclibs:
      - AndBibleJSword@andbible-fdroid
      - AndBibleJSwordTweaks@andbible-fdroid
    rm:
      - app/libs/*
    build:
      - cd $$AndBibleJSwordTweaks$$
      - TARGET_DIR="." JSWORD_PATH=$$AndBibleJSword$$ gradle install
      - cd -
      - cp $$AndBibleJSwordTweaks$$/jsword.jar libs/jsword.jar

  - versionName: 3.3.386
    versionCode: 386
    commit: v3.3.386-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes
    srclibs:
      - AndBibleJSword@andbible-fdroid
      - AndBibleJSwordTweaks@andbible-fdroid
    rm:
      - app/libs/*
    build:
      - cd $$AndBibleJSwordTweaks$$
      - TARGET_DIR="." JSWORD_PATH=$$AndBibleJSword$$ gradle install
      - cd -
      - cp $$AndBibleJSwordTweaks$$/jsword.jar libs/jsword.jar

  - versionName: 3.3.387
    versionCode: 387
    commit: v3.3.387-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes
    srclibs:
      - AndBibleJSword@andbible-fdroid
      - AndBibleJSwordTweaks@andbible-fdroid
    rm:
      - app/libs/*
    build:
      - cd $$AndBibleJSwordTweaks$$
      - TARGET_DIR="." JSWORD_PATH=$$AndBibleJSword$$ gradle install
      - cd -
      - cp $$AndBibleJSwordTweaks$$/jsword.jar libs/jsword.jar

  - versionName: 3.3.388
    versionCode: 388
    commit: v3.3.388-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes
    srclibs:
      - AndBibleJSword@andbible-fdroid
      - AndBibleJSwordTweaks@andbible-fdroid
    rm:
      - app/libs/*
    build:
      - cd $$AndBibleJSwordTweaks$$
      - TARGET_DIR="." JSWORD_PATH=$$AndBibleJSword$$ gradle install
      - cd -
      - cp $$AndBibleJSwordTweaks$$/jsword.jar libs/jsword.jar

  - versionName: 3.3.389
    versionCode: 389
    commit: v3.3.389-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes
    srclibs:
      - AndBibleJSword@andbible-fdroid
      - AndBibleJSwordTweaks@andbible-fdroid
    rm:
      - app/libs/*
    build:
      - cd $$AndBibleJSwordTweaks$$
      - TARGET_DIR="." JSWORD_PATH=$$AndBibleJSword$$ gradle install
      - cd -
      - cp $$AndBibleJSwordTweaks$$/jsword.jar libs/jsword.jar

  - versionName: 3.3.390
    versionCode: 390
    commit: v3.3.390-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes
    srclibs:
      - AndBibleJSword@andbible-fdroid
      - AndBibleJSwordTweaks@andbible-fdroid
    rm:
      - app/libs/*
    build:
      - cd $$AndBibleJSwordTweaks$$
      - TARGET_DIR="." JSWORD_PATH=$$AndBibleJSword$$ gradle install
      - cd -
      - cp $$AndBibleJSwordTweaks$$/jsword.jar libs/jsword.jar

  - versionName: 3.3.391
    versionCode: 391
    commit: v3.3.391-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes
    srclibs:
      - AndBibleJSword@andbible-fdroid
      - AndBibleJSwordTweaks@andbible-fdroid
    rm:
      - app/libs/*
    build:
      - cd $$AndBibleJSwordTweaks$$
      - TARGET_DIR="." JSWORD_PATH=$$AndBibleJSword$$ gradle install
      - cd -
      - cp $$AndBibleJSwordTweaks$$/jsword.jar libs/jsword.jar

  - versionName: 3.3.392
    versionCode: 392
    commit: v3.3.392-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes

  - versionName: 3.3.393
    versionCode: 393
    commit: v3.3.393-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes

  - versionName: 3.3.395
    versionCode: 395
    commit: v3.3.395-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes

  - versionName: 3.3.397
    versionCode: 397
    commit: v3.3.397-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes

  - versionName: 3.3.398
    versionCode: 398
    commit: v3.3.398-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes

  - versionName: 3.3.399
    versionCode: 399
    commit: v3.3.399-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports npm g++ build-essential
    gradle:
      - yes

  - versionName: 3.3.400
    versionCode: 400
    commit: v3.3.400-fdroid
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - yes

  - versionName: 4.0.601
    versionCode: 601
    commit: 99e65d7c96bf7150ac080bf6f5a5d45ff68080bc
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - yes

  - versionName: 4.0.602
    versionCode: 602
    commit: a5b97119b211bbfdc1da8b0a9273cb369c7836b1
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - yes

  - versionName: 4.0.604
    versionCode: 604
    commit: fa107c426147b60444f115ea3d7e85222745c975
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - yes

  - versionName: 4.0.605
    versionCode: 605
    commit: 284ce3816f640495f2d9c928d2437f72c82f5eea
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - yes

  - versionName: 4.0.610
    versionCode: 610
    commit: db3c134ee297ed7d6ea077739c08dbfb695967e7
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - yes

  - versionName: 4.0.611
    versionCode: 611
    commit: 6d969b202dfb80b5117e7ef8cca1e230cc1852c5
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - yes

  - versionName: 4.0.612
    versionCode: 612
    commit: 78f0e5e4ef986342368320edca575cd18e3bd422
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - yes

  - versionName: 4.0.613
    versionCode: 613
    commit: bec7aa116230708f7fbdf6b6ab29543904806f08
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - fdroid

  - versionName: 4.0.614
    versionCode: 614
    commit: 9d1ba31f5e56299992640b089895c98cc20f30a6
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - fdroid

  - versionName: 4.0.615
    versionCode: 615
    commit: 80fda8474e68eaebb2121cbe49be79b499896cc4
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - fdroid

  - versionName: 4.0.617
    versionCode: 617
    commit: b254877359d7cad02f994c35da7eef3174f08fcb
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - fdroid

  - versionName: 4.0.620
    versionCode: 620
    commit: 45ec2a25cc9cd02ab9558820a72a1f9f69144d69
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - fdroid

  - versionName: 4.0.622
    versionCode: 622
    commit: 4335f47a1a95dd0c1d6cccaf200fa30d3f11b66a
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - fdroid

  - versionName: 4.0.628
    versionCode: 628
    commit: 7989284a7201f01c3d11eb0639cd9a2e97286ec6
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - fdroid

  - versionName: 4.0.630
    versionCode: 630
    commit: aec329216305e59ae2672598f152c51832d2c29e
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - fdroid

  - versionName: 4.0.635
    versionCode: 635
    commit: 20f1cefb987a28a9b8ba7e572b7f84b72289ac86
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - fdroid

  - versionName: 4.0.636
    versionCode: 636
    commit: 6c14109712cde28961d61093559da241a73b0af7
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - fdroid

  - versionName: 4.0.638
    versionCode: 638
    commit: d364abc89db2adcd6226ced8a398ac3d737ad44d
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - fdroid

  - versionName: 4.0.640
    versionCode: 640
    commit: 83d10bfc76e0a092419596cb8510c71221d7d5fc
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports g++ build-essential
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
    gradle:
      - fdroid

AutoUpdateMode: Version v%v-fdroid
UpdateCheckMode: Tags ^v\d+\.\d+\.\d+-fdroid$
CurrentVersion: 4.0.640
CurrentVersionCode: 640
